#1831 closed defect (fixed)

POSIX timing tests: psxtmmutex01 mutex create destroy

Reported by: el.mastin2 Owned by: Jennifer Averett
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

Contains these mutex_tests:

pthread_mutex_init
phtread_mutex_destroy

The output (--target=sparc-rtems4.11 --enable-rtemsbsp=sis) is:

* POSIX TIME TEST PSXTMMUTEX01 *
pthread_mutex_init 41
pthread_mutex_destroy 46
* END OF POSIX TIME TEST PSXTMMUTEX01 *

Attachments (1)

psxtmmutex01.tar (50.0 KB) - added by el.mastin2 on Jul 13, 2011 at 1:30:13 PM.
posix timing tests, mutex create/destroy

Download all attachments as: .zip

Change History (5)

Changed on Jul 13, 2011 at 1:30:13 PM by el.mastin2

Attachment: psxtmmutex01.tar added

posix timing tests, mutex create/destroy

comment:1 Changed on Jul 13, 2011 at 1:31:36 PM by el.mastin2

Owner: changed from Joel Sherrill to Jennifer Averett

comment:2 Changed on Jul 13, 2011 at 2:23:36 PM by Joel Sherrill

Resolution: fixed
Status: newclosed, joel.sherrill@oarcorp.com

I did a bit of minor formatting touch up. Operation being benchmarked should be indented, blank line between rtems_test_assert() and printing time.

Overall very good. The times look very reasonable. On psim, we have this:

TIME TEST 1 *
rtems_semaphore_create 294
rtems_semaphore_delete 349
rtems_semaphore_obtain: available 71
rtems_semaphore_obtain: not available -- NO_WAIT 71
rtems_semaphore_release: no waiting tasks 279
* END OF TEST 1 *
* POSIX TIME TEST PSXTMMUTEX01 *
pthread_mutex_init 338
pthread_mutex_destroy 393
* END OF POSIX TIME TEST PSXTMMUTEX01 *

Notice that the Classic API is a bit faster than the POSIX API. Mostly due to simpler argument parsing.

Committed and closing. Thanks.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.